pfodParser 3.55.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | List of all members
pfodTouchActionInput Class Reference

`#include <pfodTouchActionInput.h>`

Inherits pfodDwgsBase.

## Public Member Functions
| pfodTouchActionInput ()
pfodTouchActionInput & | cmd (const char _cmd)
pfodTouchActionInput & | cmd (const char *_cmdStr)
pfodTouchActionInput & | encode ()
pfodTouchActionInput & | prompt (const char *txt)
pfodTouchActionInput & | prompt (const __FlashStringHelper *txtF)
pfodTouchActionInput & | textIdx (uint16_t _idx)
pfodTouchActionInput & | textIdx (pfodAutoIdx &a_idx)
pfodTouchActionInput & | color (int _color)
pfodTouchActionInput & | backgroundColor (int _color)
pfodTouchActionInput & | fontSize (int _font)
pfodTouchActionInput & | bold ()
pfodTouchActionInput & | italic ()
pfodTouchActionInput & | underline ()
void | init (Print *out, struct VALUES *_values)
void | send (char _startChar='|')
Public Member Functions inherited from pfodDwgsBase
void | printFloatNumber (float f)

## Additional Inherited Members
Public Attributes inherited from pfodDwgsBase
Print * | out
Static Public Attributes inherited from pfodDwgsBase
static const int | BLACK_WHITE = -1
static const int | BLACK = 0
static const int | MAROON = 1
static const int | GREEN = 2
static const int | OLIVE = 3
static const int | NAVY = 4
static const int | PURPLE = 5
static const int | TEAL = 6
static const int | SILVER = 7
static const int | GREY = 8
static const int | RED = 9
static const int | LIME = 10
static const int | YELLOW = 11
static const int | BLUE = 12
static const int | FUCHSIA = 13
static const int | MAGENTA = FUCHSIA
static const int | AQUA = 14
static const int | WHITE = 15
static const int | TOUCH = 0
static const int | DOWN = 1
static const int | DRAG = 2
static const int | UP = 4
static const int | CLICK = 8
static const int | PRESS = 16
static const int | ENTRY = 32
static const int | EXIT = 64
static const int | DOWN_UP = 256
static const int | TOUCH_DISABLED = 512
static const uint16_t | TOUCHED_COL = 65534
static const uint16_t | TOUCHED_ROW = 65532
static const uint16_t | TOUCHED_X = 65534
static const uint16_t | TOUCHED_Y = 65532
Protected Member Functions inherited from pfodDwgsBase
void | startText ()
void | encodeText (Print *out, uint8_t encodeOutput, const char *cPtr)
void | encodeText (Print *out, uint8_t encodeOutput, const __FlashStringHelper *ifsh)
void | encodeChar (Print *out, uint8_t encodeOutput, char c)
void | printFloat (float f)
void | printFloatDecimals (float f, int decPlaces)
void | sendColRowVars (float val)
void | printColor ()
void | printTextFormatsWithBkgndColor ()
void | printIdx ()
void | colRowOffset ()
void | colWidthHeight ()
void | initValues (struct VALUES *_valuesPtr)
| pfodDwgsBase ()
int | getAutoIdx (uint16_t &idx)
Protected Attributes inherited from pfodDwgsBase
struct VALUES * | valuesPtr

## Detailed Description

Definition at line 14 of file pfodTouchActionInput.h.

## Constructor & Destructor Documentation

## ◆ pfodTouchActionInput()

pfodTouchActionInput::pfodTouchActionInput | ( |  | ) |

## Member Function Documentation

## ◆ backgroundColor()

pfodTouchActionInput& pfodTouchActionInput::backgroundColor | ( | int | _color | ) |

## ◆ bold()

pfodTouchActionInput& pfodTouchActionInput::bold | ( |  | ) |

## ◆ cmd() [1/2]

pfodTouchActionInput& pfodTouchActionInput::cmd | ( | const char * | _cmdStr | ) |

## ◆ cmd() [2/2]

pfodTouchActionInput& pfodTouchActionInput::cmd | ( | const char | _cmd | ) |

## ◆ color()

pfodTouchActionInput& pfodTouchActionInput::color | ( | int | _color | ) |

## ◆ encode()

pfodTouchActionInput& pfodTouchActionInput::encode | ( |  | ) |

## ◆ fontSize()

pfodTouchActionInput& pfodTouchActionInput::fontSize | ( | int | _font | ) |

## ◆ init()

void pfodTouchActionInput::init | ( | Print * | out,
|  | struct VALUES * | _values
| ) |  |

## ◆ italic()

pfodTouchActionInput& pfodTouchActionInput::italic | ( |  | ) |

## ◆ prompt() [1/2]

pfodTouchActionInput& pfodTouchActionInput::prompt | ( | const __FlashStringHelper * | txtF | ) |

## ◆ prompt() [2/2]

pfodTouchActionInput& pfodTouchActionInput::prompt | ( | const char * | txt | ) |

## ◆ send()

void pfodTouchActionInput::send | ( | char | _startChar = `'|'` | ) |
| virtual

Reimplemented from pfodDwgsBase.

## ◆ textIdx() [1/2]

pfodTouchActionInput& pfodTouchActionInput::textIdx | ( | pfodAutoIdx & | a_idx | ) |

## ◆ textIdx() [2/2]

pfodTouchActionInput& pfodTouchActionInput::textIdx | ( | uint16_t | _idx | ) |

## ◆ underline()

pfodTouchActionInput& pfodTouchActionInput::underline | ( |  | ) |